<?xml version="1.0" encoding="US-ASCII"?>  
<!-- Generated by CompSci Transform (tm) - http://www.compsciresources.com -->    
<!-- Created: Thu Jan 18 21:31:04 UTC 2024 -->  
<xs:schema elementFormDefault="qualified" xmlns:srt-types="http://fasb.org/srt-types/2023" targetNamespace="http://www.anzuspac.com/20230930" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:coch="http://www.anzuspac.com/20230930" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:us-types="http://fasb.org/us-types/2023" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:dtr="http://www.xbrl.org/dtr/type/2022-03-31" xmlns:xbrli="http://www.xbrl.org/2003/instance">   
  <xs:annotation>   
    <xs:appinfo>  
      <link:linkbaseRef xlink:type="simple" xlink:href="coch-20230930_lab.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef"/> 
      <link:linkbaseRef xlink:type="simple" xlink:href="coch-20230930_pre.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef"/>   
      <link:linkbaseRef xlink:type="simple" xlink:href="coch-20230930_def.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef"/> 
      <link:linkbaseRef xlink:type="simple" xlink:href="coch-20230930_cal.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef"/>  
      <link:roleType roleURI="http://www.anzuspac.com/role/ConsolidatedBalanceSheet" id="coch_r_ConsolidatedBalanceSheet">   
        <link:definition>001 - Statement - Condensed Consolidated Balance Sheets (Unaudited)</link:definition> 
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ConsolidatedBalanceSheet_Parentheticals" id="coch_r_ConsolidatedBalanceSheet_Parentheticals">   
        <link:definition>002 - Statement - Condensed Consolidated Balance Sheets (Unaudited) (Parentheticals)</link:definition>   
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ConsolidatedIncomeStatement" id="coch_r_ConsolidatedIncomeStatement">    
        <link:definition>003 - Statement - Condensed Consolidated Statements of Operations and Comprehensive Income (Loss) (Unaudited)</link:definition>   
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ConsolidatedIncomeStatement_Parentheticals" id="coch_r_ConsolidatedIncomeStatement_Parentheticals">    
        <link:definition>004 - Statement - Condensed Consolidated Statements of Operations and Comprehensive Income (Loss) (Unaudited) (Parentheticals)</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ShareholdersEquityType2or3" id="coch_r_ShareholdersEquityType2or3">  
        <link:definition>005 - Statement - Consolidated Statements of Shareholders&#8217; Deficit</link:definition> 
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ConsolidatedCashFlow" id="coch_r_ConsolidatedCashFlow">     
        <link:definition>006 - Statement - Condensed Consolidated Statements of Cash Flows (Unaudited)</link:definition> 
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/NatureoftheBusinessandBasisofPresentationrestated" id="coch_r_NatureoftheBusinessandBasisofPresentationrestated">   
        <link:definition>007 - Disclosure - Nature of the Business and Basis of Presentation (restated)</link:definition>  
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/SummaryofSignificantAccountingPolicies" id="coch_r_SummaryofSignificantAccountingPolicies"> 
        <link:definition>008 - Disclosure - Summary of Significant Accounting Policies</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/FairValueMeasurement" id="coch_r_FairValueMeasurement">     
        <link:definition>009 - Disclosure - Fair Value Measurement</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/BalanceSheetDetailsCurrentAssetsandCurrentLiabilities" id="coch_r_BalanceSheetDetailsCurrentAssetsandCurrentLiabilities"> 
        <link:definition>010 - Disclosure - Balance Sheet Details - Current Assets and Current Liabilities</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/PropertyandEquipmentNet" id="coch_r_PropertyandEquipmentNet"> 
        <link:definition>011 - Disclosure - Property and Equipment, Net</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/OperatingLeases" id="coch_r_OperatingLeases">     
        <link:definition>012 - Disclosure - Operating Leases</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/WarrantyLiability" id="coch_r_WarrantyLiability">    
        <link:definition>013 - Disclosure - Warranty Liability</link:definition> 
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ConvertibleNotesPayableRelatedParty" id="coch_r_ConvertibleNotesPayableRelatedParty">     
        <link:definition>014 - Disclosure - Convertible Notes Payable (Related Party)</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/RedeemableConvertiblePreferredStock" id="coch_r_RedeemableConvertiblePreferredStock">     
        <link:definition>015 - Disclosure - Redeemable Convertible Preferred Stock</link:definition> 
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/SeriesAPreferredStock" id="coch_r_SeriesAPreferredStock">  
        <link:definition>016 - Disclosure - Series A Preferred Stock</link:definition>  
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/StockOptions" id="coch_r_StockOptions">    
        <link:definition>017 - Disclosure - Stock Options</link:definition> 
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/IncomeTaxes" id="coch_r_IncomeTaxes">  
        <link:definition>018 - Disclosure - Income Taxes</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/RelatedPartyTransactions" id="coch_r_RelatedPartyTransactions">   
        <link:definition>019 - Disclosure - Related Party Transactions</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/CommitmentandContingencies" id="coch_r_CommitmentandContingencies">  
        <link:definition>020 - Disclosure - Commitment and Contingencies</link:definition> 
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/NetLossperShare" id="coch_r_NetLossperShare">     
        <link:definition>021 - Disclosure - Net Loss per Share</link:definition> 
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/SubsequentEvents" id="coch_r_SubsequentEvents">  
        <link:definition>022 - Disclosure - Subsequent Events</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/Merger" id="coch_r_Merger">  
        <link:definition>023 - Disclosure - Merger</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/RestrictedCash" id="coch_r_RestrictedCash">   
        <link:definition>024 - Disclosure - Restricted Cash</link:definition>   
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/Inventories" id="coch_r_Inventories">  
        <link:definition>025 - Disclosure - Inventories</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ConvertibleNotesPayableRelatedParty0" id="coch_r_ConvertibleNotesPayableRelatedParty0">  
        <link:definition>026 - Disclosure - Convertible Notes Payable (Related Party)</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/CommonStock" id="coch_r_CommonStock">  
        <link:definition>027 - Disclosure - Common Stock</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/AccountingPoliciesByPolicy" id="coch_r_AccountingPoliciesByPolicy">  
        <link:definition>028 - Disclosure - Accounting Policies, by Policy (Policies)</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/NatureoftheBusinessandBasisofPresentationrestatedTables" id="coch_r_NatureoftheBusinessandBasisofPresentationrestatedTables">     
        <link:definition>029 - Disclosure - Nature of the Business and Basis of Presentation (restated) (Tables)</link:definition> 
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/FairValueMeasurementTables" id="coch_r_FairValueMeasurementTables">  
        <link:definition>030 - Disclosure - Fair Value Measurement (Tables)</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/BalanceSheetDetailsCurrentAssetsandCurrentLiabilitiesTables" id="coch_r_BalanceSheetDetailsCurrentAssetsandCurrentLiabilitiesTables">   
        <link:definition>031 - Disclosure - Balance Sheet Details - Current Assets and Current Liabilities (Tables)</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/PropertyandEquipmentNetTables" id="coch_r_PropertyandEquipmentNetTables">   
        <link:definition>032 - Disclosure - Property and Equipment, Net (Tables)</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/OperatingLeasesTables" id="coch_r_OperatingLeasesTables">  
        <link:definition>033 - Disclosure - Operating Leases (Tables)</link:definition>   
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/WarrantyLiabilityTables" id="coch_r_WarrantyLiabilityTables"> 
        <link:definition>034 - Disclosure - Warranty Liability (Tables)</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/RedeemableConvertiblePreferredStockTables" id="coch_r_RedeemableConvertiblePreferredStockTables">  
        <link:definition>035 - Disclosure - Redeemable Convertible Preferred Stock (Tables)</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/StockOptionsTables" id="coch_r_StockOptionsTables"> 
        <link:definition>036 - Disclosure - Stock Options (Tables)</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/IncomeTaxesTables" id="coch_r_IncomeTaxesTables">    
        <link:definition>037 - Disclosure - Income Taxes (Tables)</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/NetLossperShareTables" id="coch_r_NetLossperShareTables">  
        <link:definition>038 - Disclosure - Net Loss per Share (Tables)</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/MergerTables" id="coch_r_MergerTables">    
        <link:definition>039 - Disclosure - Merger (Tables)</link:definition>   
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/InventoriesTables" id="coch_r_InventoriesTables">    
        <link:definition>040 - Disclosure - Inventories (Tables)</link:definition>   
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/CommonStockTables" id="coch_r_CommonStockTables">    
        <link:definition>041 - Disclosure - Common Stock (Tables)</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/NatureoftheBusinessandBasisofPresentationrestatedDetails" id="coch_r_NatureoftheBusinessandBasisofPresentationrestatedDetails">  
        <link:definition>042 - Disclosure - Nature of the Business and Basis of Presentation (restated) (Details)</link:definition>  
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofClassACommonStockandSeriesAPreferredStockOutstandingTable" id="coch_r_ScheduleofClassACommonStockandSeriesAPreferredStockOutstandingTable">    
        <link:definition>043 - Disclosure - Nature of the Business and Basis of Presentation (restated) (Details) - Schedule of Class A Common Stock and Series A Preferred Stock Outstanding</link:definition>   
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/SummaryofSignificantAccountingPoliciesDetails" id="coch_r_SummaryofSignificantAccountingPoliciesDetails">     
        <link:definition>044 - Disclosure - Summary of Significant Accounting Policies (Details)</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/FairValueMeasurementDetails" id="coch_r_FairValueMeasurementDetails">    
        <link:definition>045 - Disclosure - Fair Value Measurement (Details)</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofCompanysLiabilitiesMeasuredatFairValueonaRecurringBasisTable" id="coch_r_ScheduleofCompanysLiabilitiesMeasuredatFairValueonaRecurringBasisTable">     
        <link:definition>046 - Disclosure - Fair Value Measurement (Details) - Schedule of Company&#8217;s Liabilities Measured at Fair Value on a Recurring Basis</link:definition> 
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofValuationoftheConvertibleNotesTable" id="coch_r_ScheduleofValuationoftheConvertibleNotesTable">     
        <link:definition>047 - Disclosure - Fair Value Measurement (Details) - Schedule of Valuation of the Convertible Notes</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofUnobservableInputsoftheWarrantLiabilityTable" id="coch_r_ScheduleofUnobservableInputsoftheWarrantLiabilityTable">   
        <link:definition>048 - Disclosure - Fair Value Measurement (Details) - &#8203;Schedule of Unobservable Inputs of the Warrant Liability</link:definition> 
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofMeasuredatFairValueonaRecurringBasisTable" id="coch_r_ScheduleofMeasuredatFairValueonaRecurringBasisTable">  
        <link:definition>049 - Disclosure - Fair Value Measurement (Details) - &#8203;Schedule of Measured at Fair Value on a Recurring Basis</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofInventoriesTable" id="coch_r_ScheduleofInventoriesTable">  
        <link:definition>050 - Disclosure - Balance Sheet Details - Current Assets and Current Liabilities (Details) - &#8203;Schedule of Inventories</link:definition>   
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofPrepaidExpensesandOtherCurrentAssetsTable" id="coch_r_ScheduleofPrepaidExpensesandOtherCurrentAssetsTable">  
        <link:definition>051 - Disclosure - Balance Sheet Details - Current Assets and Current Liabilities (Details) - &#8203;&#8203;Schedule of Prepaid Expenses and Other Current Assets</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofAccruedExpensesTable" id="coch_r_ScheduleofAccruedExpensesTable">     
        <link:definition>052 - Disclosure - Balance Sheet Details - Current Assets and Current Liabilities (Details) - &#8203;Schedule of Accrued Expenses</link:definition>   
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/PropertyandEquipmentNetDetails" id="coch_r_PropertyandEquipmentNetDetails">     
        <link:definition>053 - Disclosure - Property and Equipment, Net (Details)</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofPropertyandEquipmentNetTable" id="coch_r_ScheduleofPropertyandEquipmentNetTable"> 
        <link:definition>054 - Disclosure - Property and Equipment, Net (Details) - &#8203;Schedule of Property and Equipment, Net</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/OperatingLeasesDetails" id="coch_r_OperatingLeasesDetails">    
        <link:definition>055 - Disclosure - Operating Leases (Details)</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleoftheComponentsofLeasesandLeaseCostsTable" id="coch_r_ScheduleoftheComponentsofLeasesandLeaseCostsTable">   
        <link:definition>056 - Disclosure - Operating Leases (Details) - &#8203;Schedule of the Components of Leases and Lease Costs</link:definition> 
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofOtherSupplementalInformationofLeaseAmountsRecognizedTable" id="coch_r_ScheduleofOtherSupplementalInformationofLeaseAmountsRecognizedTable">    
        <link:definition>057 - Disclosure - Operating Leases (Details) - Schedule of Other Supplemental Information of Lease Amounts Recognized</link:definition>  
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofFutureMinimumLeasePaymentsTable" id="coch_r_ScheduleofFutureMinimumLeasePaymentsTable">  
        <link:definition>058 - Disclosure - Operating Leases (Details) - &#8203;&#8203;Schedule of Future Minimum Lease Payments</link:definition>  
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/WarrantyLiabilityDetails" id="coch_r_WarrantyLiabilityDetails">   
        <link:definition>059 - Disclosure - Warranty Liability (Details)</link:definition> 
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofChangesinWarrantLiabilityTable" id="coch_r_ScheduleofChangesinWarrantLiabilityTable">     
        <link:definition>060 - Disclosure - Warranty Liability (Details) - &#8203;Schedule of Changes in Warrant Liability</link:definition> 
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ConvertibleNotesPayableRelatedPartyDetails" id="coch_r_ConvertibleNotesPayableRelatedPartyDetails">    
        <link:definition>061 - Disclosure - Convertible Notes Payable (Related Party) (Details)</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/RedeemableConvertiblePreferredStockDetails" id="coch_r_RedeemableConvertiblePreferredStockDetails">    
        <link:definition>062 - Disclosure - Redeemable Convertible Preferred Stock (Details)</link:definition> 
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofRedeemableConvertiblePreferredStockTable" id="coch_r_ScheduleofRedeemableConvertiblePreferredStockTable">     
        <link:definition>063 - Disclosure - Redeemable Convertible Preferred Stock (Details) - &#8203;Schedule of Redeemable Convertible Preferred Stock</link:definition> 
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/SeriesAPreferredStockDetails" id="coch_r_SeriesAPreferredStockDetails"> 
        <link:definition>064 - Disclosure - Series A Preferred Stock (Details)</link:definition>  
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/StockOptionsDetails" id="coch_r_StockOptionsDetails">   
        <link:definition>065 - Disclosure - Stock Options (Details)</link:definition> 
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofStockOptionActivityTable" id="coch_r_ScheduleofStockOptionActivityTable">   
        <link:definition>066 - Disclosure - Stock Options (Details) - Schedule of Stock Option Activity</link:definition>  
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
<!-- [WMV5][XcpuxYn59dz7vgYynUDuwG7r97K2jUTysl7vcz0lJt/tSeJz73kx1cLt0ZFF2SK/vxBCY0vdSrZWz2xgz97u0zTOWrnejIIuKxkGkjJxfECsrm5wpqSAddOP7eWR1vvydRhiyAAsH+URT/7nn+Axt3ND/etRSFsO/XR2T72ADxrfxRuJX3duVDg0zv9a2694G7guMW45X2+Y4RLugMMXgEK/2H1A/h12jB+C2b26NdaeRBiOHmSRL8g9mI73rSz7TxVYaKvSNeQ4P25M4pu1hA==] CSR--> 
      <link:roleType roleURI="http://www.anzuspac.com/role/IncomeTaxesDetails" id="coch_r_IncomeTaxesDetails"> 
        <link:definition>067 - Disclosure - Income Taxes (Details)</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofProvisionforIncomeTaxesTable" id="coch_r_ScheduleofProvisionforIncomeTaxesTable"> 
        <link:definition>068 - Disclosure - Income Taxes (Details) - &#8203;Schedule of Provision for Income Taxes</link:definition>   
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofReconciliationofIncomeTaxBenefitExpenseTable" id="coch_r_ScheduleofReconciliationofIncomeTaxBenefitExpenseTable">   
        <link:definition>069 - Disclosure - Income Taxes (Details) - &#8203;&#8203;Schedule of Reconciliation of Income Tax (Benefit) Expense</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofNetDeferredTaxAssetTable" id="coch_r_ScheduleofNetDeferredTaxAssetTable">   
        <link:definition>070 - Disclosure - Income Taxes (Details) - &#8203;&#8203;&#8203;Schedule of Net Deferred Tax Asset</link:definition>   
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofReconciliationofTaxContingenciesTable" id="coch_r_ScheduleofReconciliationofTaxContingenciesTable">    
        <link:definition>071 - Disclosure - Income Taxes (Details) - Schedule of&#8203; Reconciliation of Tax Contingencies</link:definition>  
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/RelatedPartyTransactionsDetails" id="coch_r_RelatedPartyTransactionsDetails">  
        <link:definition>072 - Disclosure - Related Party Transactions (Details)</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/CommitmentandContingenciesDetails" id="coch_r_CommitmentandContingenciesDetails"> 
        <link:definition>073 - Disclosure - Commitment and Contingencies (Details)</link:definition> 
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofBasicandDilutedLossPerShareTable" id="coch_r_ScheduleofBasicandDilutedLossPerShareTable">    
        <link:definition>074 - Disclosure - Net Loss per Share (Details) - &#8203;Schedule of Basic and Diluted Loss Per Share</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofBasicandDilutedLossPerShareTable_Parentheticals" id="coch_r_ScheduleofBasicandDilutedLossPerShareTable_Parentheticals">    
        <link:definition>075 - Disclosure - Net Loss per Share (Details) - &#8203;Schedule of Basic and Diluted Loss Per Share (Parentheticals)</link:definition>  
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofPotentiallyDilutiveSecuritiesHaveBeenExcludedFromtheComputationofDilutedNetTable" id="coch_r_ScheduleofPotentiallyDilutiveSecuritiesHaveBeenExcludedFromtheComputationofDilutedNetTable">     
        <link:definition>076 - Disclosure - Net Loss per Share (Details) - Schedule of Potentially Dilutive Securities Have Been Excluded From the Computation of Diluted Net</link:definition>  
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/SubsequentEventsDetails" id="coch_r_SubsequentEventsDetails"> 
        <link:definition>077 - Disclosure - Subsequent Events (Details)</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofRelevantFinancialStatementTable" id="coch_r_ScheduleofRelevantFinancialStatementTable">  
        <link:definition>078 - Disclosure - Nature of the Business and Basis of Presentation (Restated) (Details) - Schedule of Relevant Financial Statement</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofCondensedConsolidatedStatementofStockholdersEquityDeficitTable" id="coch_r_ScheduleofCondensedConsolidatedStatementofStockholdersEquityDeficitTable">    
        <link:definition>079 - Disclosure - Nature of the Business and Basis of Presentation (Restated) (Details) - Schedule of Condensed Consolidated Statement of Stockholders&#8217; Equity (Deficit)</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/MergerDetails" id="coch_r_MergerDetails"> 
        <link:definition>080 - Disclosure - Merger (Details)</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofClassACommonStockandSeriesAPreferredStockOutstandingTable0" id="coch_r_ScheduleofClassACommonStockandSeriesAPreferredStockOutstandingTable0"> 
        <link:definition>081 - Disclosure - Merger (Details) - Schedule of Class A Common Stock and Series A Preferred Stock Outstanding</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofCompanysLiabilitiesMeasuredatFairValueonaRecurringBasisTable0" id="coch_r_ScheduleofCompanysLiabilitiesMeasuredatFairValueonaRecurringBasisTable0">  
        <link:definition>082 - Disclosure - Fair Value Measurement (Restated) (Details) - Schedule of Company&#8217;s Liabilities Measured at Fair Value on a Recurring Basis</link:definition>  
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofFairValueMeasurementsofForwardPurchaseAgreementAssetsTable" id="coch_r_ScheduleofFairValueMeasurementsofForwardPurchaseAgreementAssetsTable"> 
        <link:definition>083 - Disclosure - Fair Value Measurement (Restated) (Details) - Schedule of Fair Value Measurements of Forward Purchase Agreement Assets</link:definition> 
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofValuationoftheConvertibleNotesTable0" id="coch_r_ScheduleofValuationoftheConvertibleNotesTable0">  
        <link:definition>084 - Disclosure - Fair Value Measurement (Restated) (Details) - Schedule of Valuation of the Convertible Notes</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofMeasuredatFairValueonaRecurringBasisTable0" id="coch_r_ScheduleofMeasuredatFairValueonaRecurringBasisTable0">    
        <link:definition>085 - Disclosure - Fair Value Measurement (Restated) (Details) - Schedule of Measured at Fair Value on a Recurring Basis</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/RestrictedCashDetails" id="coch_r_RestrictedCashDetails">  
        <link:definition>086 - Disclosure - Restricted Cash (Details)</link:definition>   
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofInventoriesTable0" id="coch_r_ScheduleofInventoriesTable0">    
        <link:definition>087 - Disclosure - Inventories (Details) - Schedule of Inventories</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofLeaseCostsTable" id="coch_r_ScheduleofLeaseCostsTable">     
        <link:definition>088 - Disclosure - Operating Leases (Details) - &#8203;Schedule of Lease Costs</link:definition>  
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofOperatingLeaseCostTable" id="coch_r_ScheduleofOperatingLeaseCostTable"> 
        <link:definition>089 - Disclosure - Operating Leases (Details) - Schedule of Operating Lease Cost</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofOtherSupplementalInformationTable" id="coch_r_ScheduleofOtherSupplementalInformationTable"> 
        <link:definition>090 - Disclosure - Operating Leases (Details) - &#8203;Schedule of Other Supplemental Information</link:definition> 
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofWeightedAverageTable" id="coch_r_ScheduleofWeightedAverageTable">     
        <link:definition>091 - Disclosure - Operating Leases (Details) - &#8203;Schedule of Weighted Average</link:definition>  
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofFutureMinimumLeasePaymentsTable0" id="coch_r_ScheduleofFutureMinimumLeasePaymentsTable0">    
        <link:definition>092 - Disclosure - Operating Leases (Details) - &#8203;Schedule of Future Minimum Lease Payments</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofChangesinWarrantLiabilityTable0" id="coch_r_ScheduleofChangesinWarrantLiabilityTable0">  
        <link:definition>093 - Disclosure - Product Warranty Liability (Details) - Schedule of Changes in Warrant Liability</link:definition>  
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ConvertibleNotesPayableRelatedPartyDetails0" id="coch_r_ConvertibleNotesPayableRelatedPartyDetails0"> 
        <link:definition>094 - Disclosure - Convertible Notes Payable (Related Party) (Details)</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/CommonStockDetails" id="coch_r_CommonStockDetails"> 
        <link:definition>095 - Disclosure - Common Stock (Details)</link:definition>     
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofOutstandingCommonStockWarrantsTable" id="coch_r_ScheduleofOutstandingCommonStockWarrantsTable">     
        <link:definition>096 - Disclosure - Common Stock (Details) - Schedule of Outstanding Common Stock Warrants</link:definition>   
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofStockOptionActivityTable0" id="coch_r_ScheduleofStockOptionActivityTable0">     
        <link:definition>097 - Disclosure - Stock Options (Details) - Schedule of Stock Option Activity</link:definition>  
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofBasicandDilutedLossPerShareTable0" id="coch_r_ScheduleofBasicandDilutedLossPerShareTable0"> 
        <link:definition>098 - Disclosure - Net Income (Loss) per Share (Details) - &#8203;Schedule of Basic and Diluted Loss Per Share</link:definition>    
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/ScheduleofPotentiallyDilutiveSecuritiesHaveBeenExcludedfromtheComputationofDilutedNetTable" id="coch_r_ScheduleofPotentiallyDilutiveSecuritiesHaveBeenExcludedfromtheComputationofDilutedNetTable">     
        <link:definition>099 - Disclosure - Net Income (Loss) per Share (Details) - Schedule of Potentially Dilutive Securities Have Been Excluded from the Computation of Diluted Net</link:definition> 
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
      <link:roleType roleURI="http://www.anzuspac.com/role/DocumentAndEntityInformation" id="DocumentAndEntityInformation">    
        <link:definition>000 - Document - Document And Entity Information</link:definition>  
        <link:usedOn>link:presentationLink</link:usedOn>  
        <link:usedOn>link:definitionLink</link:usedOn>     
        <link:usedOn>link:calculationLink</link:usedOn> 
      </link:roleType>   
    </xs:appinfo>   
  </xs:annotation>    
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>  
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>  
  <xs:import namespace="http://fasb.org/us-types/2023" schemaLocation="https://xbrl.fasb.org/us-gaap/2023/elts/us-types-2023.xsd"/>  
  <xs:import namespace="http://www.xbrl.org/dtr/type/2022-03-31" schemaLocation="https://www.xbrl.org/dtr/type/2022-03-31/types.xsd"/>     
  <xs:import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"/>   
  <xs:import namespace="http://fasb.org/srt-types/2023" schemaLocation="https://xbrl.fasb.org/srt/2023/elts/srt-types-2023.xsd"/>     
  <xs:import namespace="http://xbrl.sec.gov/sic/2023" schemaLocation="https://xbrl.sec.gov/sic/2023/sic-2023.xsd"/> 
  <xs:element name="ScheduleOfClassACommonStockAndSeriesAPreferredStockOutstandingAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfClassACommonStockAndSeriesAPreferredStockOutstandingAbstract"/>    
  <xs:element name="ScheduleOfCompanySLiabilitiesMeasuredAtFairValueOnARecurringBasisAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfCompanySLiabilitiesMeasuredAtFairValueOnARecurringBasisAbstract"/>     
  <xs:element name="ScheduleOfValuationOfTheConvertibleNotesAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfValuationOfTheConvertibleNotesAbstract"/>     
  <xs:element name="ScheduleOfUnobservableInputsOfTheWarrantLiabilityAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfUnobservableInputsOfTheWarrantLiabilityAbstract"/>   
  <xs:element name="ScheduleOfMeasuredAtFairValueOnARecurringBasisAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfMeasuredAtFairValueOnARecurringBasisAbstract"/>  
  <xs:element name="ScheduleOfInventoriesAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfInventoriesAbstract"/>  
  <xs:element name="ScheduleOfPrepaidExpensesAndOtherCurrentAssetsAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfPrepaidExpensesAndOtherCurrentAssetsAbstract"/>  
  <xs:element name="ScheduleOfAccruedExpensesAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfAccruedExpensesAbstract"/>     
  <xs:element name="ScheduleOfPropertyAndEquipmentNetAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfPropertyAndEquipmentNetAbstract"/> 
  <xs:element name="ScheduleOfTheComponentsOfLeasesAndLeaseCostsAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfTheComponentsOfLeasesAndLeaseCostsAbstract"/>   
  <xs:element name="ScheduleOfOtherSupplementalInformationOfLeaseAmountsRecognizedAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfOtherSupplementalInformationOfLeaseAmountsRecognizedAbstract"/>    
  <xs:element name="ScheduleOfFutureMinimumLeasePaymentsAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfFutureMinimumLeasePaymentsAbstract"/>  
  <xs:element name="ScheduleOfChangesInWarrantLiabilityAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfChangesInWarrantLiabilityAbstract"/>     
  <xs:element name="ScheduleOfRedeemableConvertiblePreferredStockAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfRedeemableConvertiblePreferredStockAbstract"/>     
  <xs:element name="StockOptionsAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_StockOptionsAbstract"/>    
  <xs:element name="ScheduleOfStockOptionActivityAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfStockOptionActivityAbstract"/>   
  <xs:element name="ScheduleOfProvisionForIncomeTaxesAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfProvisionForIncomeTaxesAbstract"/> 
  <xs:element name="ScheduleOfReconciliationOfTaxContingenciesAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfReconciliationOfTaxContingenciesAbstract"/>    
  <xs:element name="ScheduleOfBasicAndDilutedLossPerShareAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfBasicAndDilutedLossPerShareAbstract"/>    
  <xs:element name="ScheduleOfPotentiallyDilutiveSecuritiesHaveBeenExcludedFromTheComputationOfDilutedNetAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfPotentiallyDilutiveSecuritiesHaveBeenExcludedFromTheComputationOfDilutedNetAbstract"/>     
  <xs:element name="ScheduleOfRelevantFinancialStatementAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfRelevantFinancialStatementAbstract"/>  
  <xs:element name="ScheduleOfCondensedConsolidatedStatementOfStockholdersEquityDeficitAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfCondensedConsolidatedStatementOfStockholdersEquityDeficitAbstract"/>    
  <xs:element name="ScheduleOfFairValueMeasurementsOfForwardPurchaseAgreementAssetsAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfFairValueMeasurementsOfForwardPurchaseAgreementAssetsAbstract"/> 
  <xs:element name="ScheduleOfLeaseCostsAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfLeaseCostsAbstract"/>     
  <xs:element name="ScheduleOfOperatingLeaseCostAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfOperatingLeaseCostAbstract"/> 
  <xs:element name="ScheduleOfOtherSupplementalInformationAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfOtherSupplementalInformationAbstract"/> 
  <xs:element name="ScheduleOfWeightedAverageAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfWeightedAverageAbstract"/>     
  <xs:element name="ScheduleOfOutstandingCommonStockWarrantsAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfOutstandingCommonStockWarrantsAbstract"/>     
  <xs:element name="CostsAndOperatingExpensesAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_CostsAndOperatingExpensesAbstract"/>     
  <xs:element name="OtherIncomeExpenseAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_OtherIncomeExpenseAbstract"/> 
  <xs:element name="OtherComprehensiveLossAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_OtherComprehensiveLossAbstract"/>    
  <xs:element name="LiabilitiesAbstract0" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_LiabilitiesAbstract0"/>    
  <xs:element name="CurrentAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_CurrentAbstract"/>    
  <xs:element name="NumeratorAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_NumeratorAbstract"/>   
  <xs:element name="DenominatorAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_DenominatorAbstract"/>  
  <xs:element name="LiabilitiesAbstract1" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_LiabilitiesAbstract1"/>    
  <xs:element name="LiabilitiesAbstract2" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_LiabilitiesAbstract2"/>    
  <xs:element name="UnlabeledAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_UnlabeledAbstract"/>   
  <xs:element name="NumeratorAbstract0" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_NumeratorAbstract0"/>     
  <xs:element name="UnlabeledAbstract0" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_UnlabeledAbstract0"/>     
  <xs:element name="UnlabeledAbstract1" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_UnlabeledAbstract1"/>     
  <xs:element name="DenominatorAbstract0" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_DenominatorAbstract0"/>    
  <xs:element name="WarrantyLiabilityNetOfCurrentPortion" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item" id="coch_WarrantyLiabilityNetOfCurrentPortion"/> 
  <xs:element name="FPAPutOptionLiabilityCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item" id="coch_FPAPutOptionLiabilityCurrent"/>     
  <xs:element name="ForwardPurchaseAgreementWarrantLiabilityCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item" id="coch_ForwardPurchaseAgreementWarrantLiabilityCurrent"/>   
  <xs:element name="EarningsPerShareCommonShareholdersDiluted" type="dtr:perShareItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_EarningsPerShareCommonShareholdersDiluted"/>  
  <xs:element name="WeightedAverageNumberOfDilutedOutstandingShares" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_WeightedAverageNumberOfDilutedOutstandingShares"/>    
  <xs:element name="RetrospectiveApplicationOfMerger" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item" id="coch_RetrospectiveApplicationOfMerger"/>    
  <xs:element name="RetrospectiveApplicationOfMergerinShares" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_RetrospectiveApplicationOfMergerinShares"/>     
  <xs:element name="AdjustedBalancesBeginningOfPeriod" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item" id="coch_AdjustedBalancesBeginningOfPeriod"/> 
  <xs:element name="AdjustedBalancesBeginningOfPeriodinShares" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_AdjustedBalancesBeginningOfPeriodinShares"/>  
  <xs:element name="CommonStockSurrenderedValue" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item" id="coch_CommonStockSurrenderedValue"/>    
  <xs:element name="CommonStockSurrenderedinShares" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_CommonStockSurrenderedinShares"/>     
  <xs:element name="RelatedPartyNoteAndAccruedInterestSurrendered" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item" id="coch_RelatedPartyNoteAndAccruedInterestSurrendered"/>     
  <xs:element name="ExchangeOfRedeemableConvertiblePreferredShareForClassACommonStockInConnectionWi" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item" id="coch_ExchangeOfRedeemableConvertiblePreferredShareForClassACommonStockInConnectionWi"/>   
  <xs:element name="NetExerciseOfWarrantsrelatedPartyNote10inShares" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_NetExerciseOfWarrantsrelatedPartyNote10inShares"/>    
  <xs:element name="MergerNetOfRedemptionsAndTransactionCostsNote3" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item" id="coch_MergerNetOfRedemptionsAndTransactionCostsNote3"/>  
  <xs:element name="MergerNetOfRedemptionsAndTransactionCostsNote3inShares" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_MergerNetOfRedemptionsAndTransactionCostsNote3inShares"/>   
  <xs:element name="MeteoraForwardPurchaseAgreementSharesNote3" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item" id="coch_MeteoraForwardPurchaseAgreementSharesNote3"/>    
  <xs:element name="MeteoraForwardPurchaseAgreementSharesNote3inShares" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_MeteoraForwardPurchaseAgreementSharesNote3inShares"/>     
  <xs:element name="ChangeInFairValueOfConvertibleNotesPayablerelatedParty" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item" id="coch_ChangeInFairValueOfConvertibleNotesPayablerelatedParty"/>   
  <xs:element name="SurrenderOfRelatedPartyConvertibleNotePayableAndAccruedInterestIntoShareholdersDeficit" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item" id="coch_SurrenderOfRelatedPartyConvertibleNotePayableAndAccruedInterestIntoShareholdersDeficit"/>  
  <xs:element name="TemporaryEquityDisclosureTextBlock" type="dtr:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_TemporaryEquityDisclosureTextBlock"/>    
  <xs:element name="StockOptionsTextBlock" type="dtr:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_StockOptionsTextBlock"/>   
  <xs:element name="GoingConcernsPolicyTextBlock" type="xbrli:stringItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_GoingConcernsPolicyTextBlock"/> 
  <xs:element name="WarrantLiabilityPolicyTextBlock" type="dtr:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_WarrantLiabilityPolicyTextBlock"/>   
  <xs:element name="ProductWarrantyPolicyTextBlock" type="dtr:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ProductWarrantyPolicyTextBlock"/> 
  <xs:element name="PatentsPolicyTextBlock" type="dtr:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_PatentsPolicyTextBlock"/>     
  <xs:element name="RecentlyIssuedAccountingPronouncementsPolicyTextBlock" type="dtr:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_RecentlyIssuedAccountingPronouncementsPolicyTextBlock"/>  
  <xs:element name="FairValueMeasurementsOfForwardPurchaseAgreementAssetsTableTextBlock" type="dtr:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_FairValueMeasurementsOfForwardPurchaseAgreementAssetsTableTextBlock"/>     
  <xs:element name="FairValueMeasurementTablesTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_FairValueMeasurementTablesTable"/> 
  <xs:element name="FairValueMeasurementTablesLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_FairValueMeasurementTablesLineItems"/>    
  <xs:element name="ScheduleOfOtherSupplementalInformation" type="dtr:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfOtherSupplementalInformation"/>  
  <xs:element name="ScheduleOfWeightedAverageOperatingLease" type="dtr:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfWeightedAverageOperatingLease"/>    
  <xs:element name="ShareOutstandingTableTextBlock" type="dtr:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ShareOutstandingTableTextBlock"/> 
  <xs:element name="NatureoftheBusinessandBasisofPresentationrestatedDetailsScheduleofClassACommonStockandSeriesAPreferredStockOutstandingTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_NatureoftheBusinessandBasisofPresentationrestatedDetailsScheduleofClassACommonStockandSeriesAPreferredStockOutstandingTable"/>     
  <xs:element name="NatureoftheBusinessandBasisofPresentationrestatedDetailsScheduleofClassACommonStockandSeriesAPreferredStockOutstandingLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_NatureoftheBusinessandBasisofPresentationrestatedDetailsScheduleofClassACommonStockandSeriesAPreferredStockOutstandingLineItems"/>   
  <xs:element name="ExchangeOfAnzuClassACommonStockSubjectToPossibleRedemptionThatWasNotRedeemed" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="instant" nillable="true" substitutionGroup="xbrli:item" id="coch_ExchangeOfAnzuClassACommonStockSubjectToPossibleRedemptionThatWasNotRedeemed"/> 
  <xs:element name="ConversionOfAnzuClassBCommonStockHeldByTheSponsorAndAnzusFormerIndependent" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="instant" nillable="true" substitutionGroup="xbrli:item" id="coch_ConversionOfAnzuClassBCommonStockHeldByTheSponsorAndAnzusFormerIndependent"/>  
  <xs:element name="MergerNetOfRedemptionsAndTransactionCostsNote3inShare" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_MergerNetOfRedemptionsAndTransactionCostsNote3inShare"/> 
  <xs:element name="ExchangeOfEnvoyCommonStockForNewEnvoyClassACommonStock" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="instant" nillable="true" substitutionGroup="xbrli:item" id="coch_ExchangeOfEnvoyCommonStockForNewEnvoyClassACommonStock"/>  
  <xs:element name="ExchangeOfEnvoyPreferredStockForNewEnvoyClassACommonStock" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="instant" nillable="true" substitutionGroup="xbrli:item" id="coch_ExchangeOfEnvoyPreferredStockForNewEnvoyClassACommonStock"/>   
  <xs:element name="ConversionOfConvertibleNotesofCommonStock" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ConversionOfConvertibleNotesofCommonStock"/>  
  <xs:element name="NetExerciseOfWarrantsrelatedPartyNote10inShare" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_NetExerciseOfWarrantsrelatedPartyNote10inShare"/>  
  <xs:element name="IssuanceOfShareConsiderationToMeteoraParties" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="instant" nillable="true" substitutionGroup="xbrli:item" id="coch_IssuanceOfShareConsiderationToMeteoraParties"/>  
  <xs:element name="SharesRecycledByMeteoraParties" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="instant" nillable="true" substitutionGroup="xbrli:item" id="coch_SharesRecycledByMeteoraParties"/>    
  <xs:element name="ExchangeOfAnzuClassBCommonStockForSeriesAPreferredStock" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="instant" nillable="true" substitutionGroup="xbrli:item" id="coch_ExchangeOfAnzuClassBCommonStockForSeriesAPreferredStock"/>    
  <xs:element name="IssuanceOfSeriesAPreferredStockInConnectionWithThePIPEFinancing" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_IssuanceOfSeriesAPreferredStockInConnectionWithThePIPEFinancing"/> 
  <xs:element name="IssuanceOfSeriesAPreferredStockInConnectionWithTheConversionOfTheNote" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_IssuanceOfSeriesAPreferredStockInConnectionWithTheConversionOfTheNote"/>   
  <xs:element name="FairValueMeasurementDetailsScheduleofCompanysLiabilitiesMeasuredatFairValueonaRecurringBasisTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_FairValueMeasurementDetailsScheduleofCompanysLiabilitiesMeasuredatFairValueonaRecurringBasisTable"/>   
  <xs:element name="FairValueMeasurementDetailsScheduleofCompanysLiabilitiesMeasuredatFairValueonaRecurringBasisLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_FairValueMeasurementDetailsScheduleofCompanysLiabilitiesMeasuredatFairValueonaRecurringBasisLineItems"/> 
  <xs:element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardFairValueAssumptionsExpectedDividendRate1" type="dtr:percentItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ShareBasedCompensationArrangementByShareBasedPaymentAwardFairValueAssumptionsExpectedDividendRate1"/>     
  <xs:element name="PrepaidMaintanceFeesAndSubscriptions" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item" id="coch_PrepaidMaintanceFeesAndSubscriptions"/> 
  <xs:element name="AccruedClinicalExpenses" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item" id="coch_AccruedClinicalExpenses"/>     
  <xs:element name="OperatingLeasesDetailsScheduleoftheComponentsofLeasesandLeaseCostsTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_OperatingLeasesDetailsScheduleoftheComponentsofLeasesandLeaseCostsTable"/> 
  <xs:element name="OperatingLeasesDetailsScheduleoftheComponentsofLeasesandLeaseCostsLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_OperatingLeasesDetailsScheduleoftheComponentsofLeasesandLeaseCostsLineItems"/>    
  <xs:element name="OperatingLeasesDetailsScheduleofFutureMinimumLeasePaymentsTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_OperatingLeasesDetailsScheduleofFutureMinimumLeasePaymentsTable"/>     
  <xs:element name="OperatingLeasesDetailsScheduleofFutureMinimumLeasePaymentsLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_OperatingLeasesDetailsScheduleofFutureMinimumLeasePaymentsLineItems"/>   
  <xs:element name="StandardProductWarrantyAccrualLiability" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item" id="coch_StandardProductWarrantyAccrualLiability"/>  
  <xs:element name="StandardProductWarrantyReversalOfWarrantyAccrual" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item" id="coch_StandardProductWarrantyReversalOfWarrantyAccrual"/> 
  <xs:element name="StandardProductWarrantyUtilization" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item" id="coch_StandardProductWarrantyUtilization"/>   
  <xs:element name="ExpirationDate" type="xbrli:stringItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ExpirationDate"/>   
  <xs:element name="StockOptionsDetailsScheduleofStockOptionActivityTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_StockOptionsDetailsScheduleofStockOptionActivityTable"/>     
  <xs:element name="StockOptionsDetailsScheduleofStockOptionActivityLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_StockOptionsDetailsScheduleofStockOptionActivityLineItems"/>   
  <xs:element name="EffectiveIncomeTaxRateReconciliationPermanentItems" type="dtr:percentItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_EffectiveIncomeTaxRateReconciliationPermanentItems"/>    
  <xs:element name="EffectiveIncomeTaxRateReconciliationTrueUpOfDeferredBalances" type="dtr:percentItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_EffectiveIncomeTaxRateReconciliationTrueUpOfDeferredBalances"/>    
  <xs:element name="EffectiveIncomeTaxRateReconciliationExpirationOfNetOperatingLossCarryovers" type="dtr:percentItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_EffectiveIncomeTaxRateReconciliationExpirationOfNetOperatingLossCarryovers"/>  
  <xs:element name="ForwardPurchaseAgreementAssets" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item" id="coch_ForwardPurchaseAgreementAssets"/>   
  <xs:element name="NatureoftheBusinessandBasisofPresentationRestatedDetailsScheduleofCondensedConsolidatedStatementofStockholdersEquityDeficitTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_NatureoftheBusinessandBasisofPresentationRestatedDetailsScheduleofCondensedConsolidatedStatementofStockholdersEquityDeficitTable"/>     
  <xs:element name="NatureoftheBusinessandBasisofPresentationRestatedDetailsScheduleofCondensedConsolidatedStatementofStockholdersEquityDeficitLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_NatureoftheBusinessandBasisofPresentationRestatedDetailsScheduleofCondensedConsolidatedStatementofStockholdersEquityDeficitLineItems"/>   
  <xs:element name="ForwardPurchaseAgreementShares" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item" id="coch_ForwardPurchaseAgreementShares"/>    
  <xs:element name="MergerDetailsScheduleofClassACommonStockandSeriesAPreferredStockOutstandingTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_MergerDetailsScheduleofClassACommonStockandSeriesAPreferredStockOutstandingTable"/>    
  <xs:element name="MergerDetailsScheduleofClassACommonStockandSeriesAPreferredStockOutstandingLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_MergerDetailsScheduleofClassACommonStockandSeriesAPreferredStockOutstandingLineItems"/>  
  <xs:element name="FairValueMeasurementRestatedDetailsScheduleofCompanysLiabilitiesMeasuredatFairValueonaRecurringBasisTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_FairValueMeasurementRestatedDetailsScheduleofCompanysLiabilitiesMeasuredatFairValueonaRecurringBasisTable"/>    
  <xs:element name="FairValueMeasurementRestatedDetailsScheduleofCompanysLiabilitiesMeasuredatFairValueonaRecurringBasisLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_FairValueMeasurementRestatedDetailsScheduleofCompanysLiabilitiesMeasuredatFairValueonaRecurringBasisLineItems"/>  
  <xs:element name="FairValueMeasurementRestatedDetailsScheduleofFairValueMeasurementsofForwardPurchaseAgreementAssetsTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_FairValueMeasurementRestatedDetailsScheduleofFairValueMeasurementsofForwardPurchaseAgreementAssetsTable"/>     
  <xs:element name="FairValueMeasurementRestatedDetailsScheduleofFairValueMeasurementsofForwardPurchaseAgreementAssetsLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_FairValueMeasurementRestatedDetailsScheduleofFairValueMeasurementsofForwardPurchaseAgreementAssetsLineItems"/>   
  <xs:element name="OperatingLeasesDetailsScheduleofLeaseCostsTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_OperatingLeasesDetailsScheduleofLeaseCostsTable"/>   
  <xs:element name="OperatingLeasesDetailsScheduleofLeaseCostsLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_OperatingLeasesDetailsScheduleofLeaseCostsLineItems"/> 
  <xs:element name="NetIncomeLossperShareDetailsScheduleofBasicandDilutedLossPerShareTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_NetIncomeLossperShareDetailsScheduleofBasicandDilutedLossPerShareTable"/>    
  <xs:element name="NetIncomeLossperShareDetailsScheduleofBasicandDilutedLossPerShareLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_NetIncomeLossperShareDetailsScheduleofBasicandDilutedLossPerShareLineItems"/>  
  <xs:element name="NatureoftheBusinessandBasisofPresentationrestatedDetailsTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_NatureoftheBusinessandBasisofPresentationrestatedDetailsTable"/> 
  <xs:element name="NatureoftheBusinessandBasisofPresentationrestatedDetailsLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_NatureoftheBusinessandBasisofPresentationrestatedDetailsLineItems"/>    
  <xs:element name="AggregateNumberOfShares" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="instant" nillable="true" substitutionGroup="xbrli:item" id="coch_AggregateNumberOfShares"/>     
  <xs:element name="ExerciseOfConvertedShares" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ExerciseOfConvertedShares"/>     
  <xs:element name="PurchaseTransactionPrice" type="dtr:perShareItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_PurchaseTransactionPrice"/>   
  <xs:element name="SummaryofSignificantAccountingPoliciesDetailsTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_SummaryofSignificantAccountingPoliciesDetailsTable"/>    
  <xs:element name="SummaryofSignificantAccountingPoliciesDetailsLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_SummaryofSignificantAccountingPoliciesDetailsLineItems"/>  
  <xs:element name="ConcentrationRiskPercentage" type="dtr:percentItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ConcentrationRiskPercentage"/>   
  <xs:element name="FairValueMeasurementDetailsTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_FairValueMeasurementDetailsTable"/>   
  <xs:element name="FairValueMeasurementDetailsLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_FairValueMeasurementDetailsLineItems"/> 
  <xs:element name="OperatingLeasesDetailsTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_OperatingLeasesDetailsTable"/>   
  <xs:element name="DiscountRate" type="dtr:percentItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_DiscountRate"/>   
  <xs:element name="ConvertibleNotesPayableRelatedPartyDetailsTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_ConvertibleNotesPayableRelatedPartyDetailsTable"/>   
  <xs:element name="ConvertibleNotesPayableRelatedPartyDetailsLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ConvertibleNotesPayableRelatedPartyDetailsLineItems"/> 
  <xs:element name="AdditionalWithdrawnFromConvertibleAgreement" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item" id="coch_AdditionalWithdrawnFromConvertibleAgreement"/>     
  <xs:element name="RedeemableConvertiblePreferredStockDetailsTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_RedeemableConvertiblePreferredStockDetailsTable"/>   
  <xs:element name="IncurredExpenseForIssuanceOfWarrant" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item" id="coch_IncurredExpenseForIssuanceOfWarrant"/>    
  <xs:element name="SeriesAPreferredStockDetailsTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_SeriesAPreferredStockDetailsTable"/>     
  <xs:element name="SeriesAPreferredStockDetailsLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_SeriesAPreferredStockDetailsLineItems"/>   
  <xs:element name="StockOptionsDetailsTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_StockOptionsDetailsTable"/>  
  <xs:element name="StockOptionsDetailsLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_StockOptionsDetailsLineItems"/>     
  <xs:element name="RelatedPartyTransactionsDetailsTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_RelatedPartyTransactionsDetailsTable"/> 
  <xs:element name="RelatedPartyTransactionsDetailsLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_RelatedPartyTransactionsDetailsLineItems"/>    
  <xs:element name="SubsequentEventsDetailsTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_SubsequentEventsDetailsTable"/>     
  <xs:element name="SharebasedCompensationArrangementBySharebasedPaymentAwardPurchasePriceOfCommonStockpercent" type="dtr:percentItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_SharebasedCompensationArrangementBySharebasedPaymentAwardPurchasePriceOfCommonStockpercent"/>    
  <xs:element name="MergerDetailsTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_MergerDetailsTable"/>     
  <xs:element name="MergerDetailsLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_MergerDetailsLineItems"/>   
  <xs:element name="RestrictedCashDetailsTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_RestrictedCashDetailsTable"/> 
  <xs:element name="RestrictedCashDetailsLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_RestrictedCashDetailsLineItems"/>    
  <xs:element name="CommonStockDetailsTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem" id="coch_CommonStockDetailsTable"/>     
  <xs:element name="CommonStockDetailsLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_CommonStockDetailsLineItems"/>   
  <xs:element name="AsRestatedMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_AsRestatedMember"/>    
  <xs:element name="CommonStockRelatedPartyMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_CommonStockRelatedPartyMember"/>     
  <xs:element name="ConvertibleNoteMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ConvertibleNoteMember"/>    
  <xs:element name="ConvertibleNotesAndEnvoyBridgeNoteRelatedPartyMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ConvertibleNotesAndEnvoyBridgeNoteRelatedPartyMember"/> 
  <xs:element name="ConvertibleNotesMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ConvertibleNotesMember"/> 
  <xs:element name="ConvertibleNotesPayableRelatedPartyCurrentPortionMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ConvertibleNotesPayableRelatedPartyCurrentPortionMember"/>  
  <xs:element name="ConvertibleNotesPayableRelatedPartyNetOfCurrentPortionMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ConvertibleNotesPayableRelatedPartyNetOfCurrentPortionMember"/>  
  <xs:element name="EnvoyBridgeNoteGATFundingLLCMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_EnvoyBridgeNoteGATFundingLLCMember"/>     
  <xs:element name="EnvoyBridgeNoteMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_EnvoyBridgeNoteMember"/>    
  <xs:element name="EnvoyPreferredStockMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_EnvoyPreferredStockMember"/>  
  <xs:element name="FPAPutOptionLiabilityMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_FPAPutOptionLiabilityMember"/> 
  <xs:element name="ForwardPurchaseAgreementAssetMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ForwardPurchaseAgreementAssetMember"/>  
  <xs:element name="ForwardPurchaseAgreementMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ForwardPurchaseAgreementMember"/>  
  <xs:element name="ForwardPurchaseAgreementWarrantLiabilityMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ForwardPurchaseAgreementWarrantLiabilityMember"/>    
  <xs:element name="GATFundingLLCMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_GATFundingLLCMember"/>     
  <xs:element name="MeasurementInputQualifiedFinancingMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_MeasurementInputQualifiedFinancingMember"/>  
  <xs:element name="MeasurementInputSPACIPOMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_MeasurementInputSPACIPOMember"/>     
  <xs:element name="NewEnvoyClassACommonStockMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_NewEnvoyClassACommonStockMember"/>    
  <xs:element name="PrivatePlacementWarrantsMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_PrivatePlacementWarrantsMember"/>  
  <xs:element name="ResearchAndDevelopmentEquipmentMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ResearchAndDevelopmentEquipmentMember"/> 
  <xs:element name="SponsorMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_SponsorMember"/>   
  <xs:element name="TwoThousandAndThirteenStockOptionPlanMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_TwoThousandAndThirteenStockOptionPlanMember"/>   
  <xs:element name="TwoThousandAndThreeStockOptionPlanMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_TwoThousandAndThreeStockOptionPlanMember"/>  
  <xs:element name="TwoThousandEighteenMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_TwoThousandEighteenMember"/>  
  <xs:element name="TwoThousandFifteenMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_TwoThousandFifteenMember"/>     
  <xs:element name="TwoThousandNineteenMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_TwoThousandNineteenMember"/>  
  <xs:element name="TwoThousandSeventeenMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_TwoThousandSeventeenMember"/>    
  <xs:element name="TwoThousandThirteenConvertibleNoteMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_TwoThousandThirteenConvertibleNoteMember"/>  
  <xs:element name="TwoThousandThirteenConvertibleNotesMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_TwoThousandThirteenConvertibleNotesMember"/>    
  <xs:element name="TwoThousandThirteenMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_TwoThousandThirteenMember"/>  
  <xs:element name="TwoThousandTwelveConvertibleNoteMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_TwoThousandTwelveConvertibleNoteMember"/>   
  <xs:element name="TwoThousandTwentyOneMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_TwoThousandTwentyOneMember"/>    
  <xs:element name="TwoThousandTwentyTwoMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_TwoThousandTwentyTwoMember"/>    
  <xs:element name="WarrantLiabilityMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_WarrantLiabilityMember"/> 
  <xs:element name="WarrantLiabilityRelatedPartyMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_WarrantLiabilityRelatedPartyMember"/>     
  <xs:element name="twozerotwothreeMember" type="dtr:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_twozerotwothreeMember"/>    
  <xs:element name="MergerAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_MergerAbstract"/>  
  <xs:element name="NatureOfTheBusinessAndBasisOfPresentationRestatedAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_NatureOfTheBusinessAndBasisOfPresentationRestatedAbstract"/>   
  <xs:element name="RedeemableConvertiblePreferredStockLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_RedeemableConvertiblePreferredStockLineItems"/>  
  <xs:element name="ScheduleOfNetDeferredTaxAssetAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfNetDeferredTaxAssetAbstract"/>   
  <xs:element name="ScheduleOfReconciliationOfIncomeTaxBenefitExpenseAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_ScheduleOfReconciliationOfIncomeTaxBenefitExpenseAbstract"/>   
  <xs:element name="DocumentAndEntityInformationAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item" id="coch_DocumentAndEntityInformationAbstract"/> 
</xs:schema>   
